﻿.ddt-options-wrap,
.ddt-options-wrap * {
    box-sizing: border-box;
}

    .ddt-options-wrap > button:focus,
    .ddt-options-wrap > button {
        position: relative;
        width: 100%;
        text-align: left;
        border: 1px solid #aaa;
        background-color: #fff;
        padding: 5px 20px 5px 5px;
        margin-top: 1px;
        font-size: 13px;
        color: #aaa;
        outline-offset: -2px;
        white-space: nowrap;
    }

        .ddt-options-wrap > button > span {
            display: inline-block;
            text-overflow: ellipsis;
            overflow: hidden;
            width: 180px;
        }

        .ddt-options-wrap > button[disabled] {
            background-color: #e5e9ed;
            color: #808080;
            opacity: 0.6;
        }

        .ddt-options-wrap > button:after {
            content: ' ';
            height: 0;
            position: absolute;
            top: 50%;
            right: 5px;
            width: 0;
            border: 6px solid rgba(0, 0, 0, 0);
            border-top-color: #999;
            margin-top: -3px;
        }

    .ddt-options-wrap.ddt-has-selections > button {
        color: #333;
    }

    .ddt-options-wrap > .ddt-options {
        position: absolute;
        left: 0;
        width: 100%;
        margin-top: 1px;
        margin-bottom: 20px;
        background: white;
        z-index: 2000;
        border: 1px solid #aaa;
        overflow: auto;
        visibility: hidden;
    }

    .ddt-options-wrap.ddt-active > .ddt-options {
        visibility: visible;
    }

    .ddt-options-wrap > .ddt-options > .ddt-search {
        padding: 10px;
        border-bottom: 1px solid #E8E8E8;
        display: none;
    }

    .ddt-options-wrap.ddt-active > .ddt-options > .ddt-search {
        display: block;
    }

.ddt-tree-wrap {
    overflow-y: auto;
    margin-left: 10px;
    margin-right: 10px;
}